config SWMODD_REGISTRY_PULL_SUPPORT
	bool "Add support to pull images from container image registries (i.e: docker.io, quay.io)"
	depends on PACKAGE_swmodd
	default n
	select PACKAGE_skopeo
	select PACKAGE_umoci

config SWMODD_LXC_SUPPORT
	bool "Handles LXC based containers"
	depends on PACKAGE_swmodd
	default n
	select PACKAGE_lxc
	select PACKAGE_lxc-attach
	select PACKAGE_lxc-auto
	select PACKAGE_lxc-cgroup
	select PACKAGE_lxc-checkconfig
	select PACKAGE_lxc-common
	select PACKAGE_lxc-config
	select PACKAGE_lxc-configs
	select PACKAGE_lxc-console
	select PACKAGE_lxc-create
	select PACKAGE_lxc-destroy
	select PACKAGE_lxc-execute
	select PACKAGE_lxc-freeze
	select PACKAGE_lxc-hooks
	select PACKAGE_lxc-info
	select PACKAGE_lxc-init
	select PACKAGE_lxc-ls
	select PACKAGE_lxc-device
	select PACKAGE_lxc-start
	select PACKAGE_lxc-stop
	select PACKAGE_lxc-templates
	select PACKAGE_lxc-top
	select PACKAGE_lxc-unfreeze
	select PACKAGE_lxc-unprivileged
	select PACKAGE_lxc-unshare
	select PACKAGE_lxc-user-nic
	select PACKAGE_lxc-usernsexec
	select PACKAGE_lxc-wait

config SWMODD_OCI_SUPPORT
	bool "Handles OCI containers"
	depends on PACKAGE_swmodd
	default y
	select PACKAGE_crun

config SWMODD_KERNEL_OPTIONS
	bool "Enable kernel support for LXC and OCI containers"
	depends on PACKAGE_swmodd
	default y
	select LXC_KERNEL_OPTIONS
	select LXC_BUSYBOX_OPTIONS
	select LXC_SECCOMP
	select LXC_NETWORKING
	select KERNEL_CGROUPS
	select KERNEL_CGROUP_SCHED
	select KERNEL_CGROUP_DEVICE
	select KERNEL_CGROUP_FREEZER
	select KERNEL_CGROUP_CPUACCT
	select KERNEL_CGROUP_NET_PRIO
	select KERNEL_NET_CLS_CGROUP
	select KERNEL_NAMESPACES
	select KERNEL_DEVPTS_MULTIPLE_INSTANCES
	select KERNEL_POSIX_MQUEUE
	select KERNEL_FAIR_GROUP_SCHED
	select KERNEL_RT_GROUP_SCHED
	select KERNEL_MEMCG
	select KERNEL_MEMCG_KMEM
	select KERNEL_CPUSETS
	select PACKAGE_kmod-ikconfig
	help
	  Select needed kernel options for LXC and CRUN related utilities. Options
	  include cgroups, namespaces and other miscellaneous options. These
	  options unfortunately can not be installed as a module.

config SWMODD_NETWORKING
	bool "Enable networking support for LXC/OCI containers"
	depends on PACKAGE_swmodd
	default y
	select PACKAGE_kmod-veth
	select PACKAGE_kmod-macvlan
	help
	  Enable "veth pair device" and "macvlan"

config SWMODD_LEGACY_CGROUPS
	bool "Enables CGroups V1 Support"
	depends on PACKAGE_swmodd
	default y
	help
	  If this option is selected, it selects swmod-cgroup package, which mounts
	  GGroupV1 hierarchy on system start
